<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.4"/>
<title>Framework: LogContainer Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.4 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_log_container.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Properties</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Groups</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="class_log_container-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">LogContainer Class Reference<div class="ingroups"><a class="el" href="group___framework.html">Framework</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>Classe définissant un conteneur de logs.  
 <a href="class_log_container.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_log_container_8h_source.html">LogContainer.h</a>&gt;</code></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for LogContainer:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="class_log_container.png" usemap="#LogContainer_map" alt=""/>
  <map id="LogContainer_map" name="LogContainer_map">
<area href="class_i_o_device.html" title="Base class for input/ouput system. " alt="IODevice" shape="rect" coords="0,56,88,80"/>
<area href="class_object.html" title="Classe representant un Object. " alt="Object" shape="rect" coords="0,0,88,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a2730e96339f182f04d7b25894be2e4b2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2730e96339f182f04d7b25894be2e4b2"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>LogContainer</b> (<a class="el" href="class_object.html">Object</a> *parent, std::string name)</td></tr>
<tr class="separator:a2730e96339f182f04d7b25894be2e4b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af135c763fe46af04ea2368378930af59"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af135c763fe46af04ea2368378930af59"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>AddDeviceToLog</b> (<a class="el" href="class_i_o_device.html">IODevice</a> *device)</td></tr>
<tr class="separator:af135c763fe46af04ea2368378930af59"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2962cbee57bc1df7e7e1e94b7133e4ec"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2962cbee57bc1df7e7e1e94b7133e4ec"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>WriteLog</b> (Time time)</td></tr>
<tr class="separator:a2962cbee57bc1df7e7e1e94b7133e4ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb9d257c08799a36bb6e2d8d742c0bdd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adb9d257c08799a36bb6e2d8d742c0bdd"></a>
size_t&#160;</td><td class="memItemRight" valign="bottom"><b>LogSize</b> ()</td></tr>
<tr class="separator:adb9d257c08799a36bb6e2d8d742c0bdd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_i_o_device"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_i_o_device')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_i_o_device.html">IODevice</a></td></tr>
<tr class="memitem:af654a28da90b978a4c7ab8b5c88dac3d inherit pub_methods_class_i_o_device"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_i_o_device.html#af654a28da90b978a4c7ab8b5c88dac3d">IODevice</a> (<a class="el" href="class_object.html">Object</a> *parent, std::string name)</td></tr>
<tr class="memdesc:af654a28da90b978a4c7ab8b5c88dac3d inherit pub_methods_class_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#af654a28da90b978a4c7ab8b5c88dac3d">More...</a><br/></td></tr>
<tr class="separator:af654a28da90b978a4c7ab8b5c88dac3d inherit pub_methods_class_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad05403d94f706fae44384c02a17da1e6 inherit pub_methods_class_i_o_device"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_i_o_device.html#ad05403d94f706fae44384c02a17da1e6">~IODevice</a> ()</td></tr>
<tr class="memdesc:ad05403d94f706fae44384c02a17da1e6 inherit pub_methods_class_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#ad05403d94f706fae44384c02a17da1e6">More...</a><br/></td></tr>
<tr class="separator:ad05403d94f706fae44384c02a17da1e6 inherit pub_methods_class_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac81c7aa95caa0bf9266428783f143000 inherit pub_methods_class_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_i_o_device.html#ac81c7aa95caa0bf9266428783f143000">ProcessUpdate</a> (<a class="el" href="classio__data.html">io_data</a> *data)</td></tr>
<tr class="memdesc:ac81c7aa95caa0bf9266428783f143000 inherit pub_methods_class_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Process the childs of type <a class="el" href="class_i_o_device.html" title="Base class for input/ouput system. ">IODevice</a>, and log if needed.  <a href="#ac81c7aa95caa0bf9266428783f143000">More...</a><br/></td></tr>
<tr class="separator:ac81c7aa95caa0bf9266428783f143000 inherit pub_methods_class_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c9a97fefa85c5b3cda32da796e869a3 inherit pub_methods_class_i_o_device"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8c9a97fefa85c5b3cda32da796e869a3"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>AppendLog</b> (char **ptr)</td></tr>
<tr class="separator:a8c9a97fefa85c5b3cda32da796e869a3 inherit pub_methods_class_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa80be7172750b2e9ca9d02b918caf72f inherit pub_methods_class_i_o_device"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa80be7172750b2e9ca9d02b918caf72f"></a>
<a class="el" href="classio__data.html">io_data</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>DataToLog</b> ()</td></tr>
<tr class="separator:aa80be7172750b2e9ca9d02b918caf72f inherit pub_methods_class_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a497f7a90f186bc98188f0844233c80f6 inherit pub_methods_class_i_o_device"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a497f7a90f186bc98188f0844233c80f6"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>WriteLogDescriptors</b> (std::fstream &amp;desc_file, int *index)</td></tr>
<tr class="separator:a497f7a90f186bc98188f0844233c80f6 inherit pub_methods_class_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_object"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_object')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_object.html">Object</a></td></tr>
<tr class="memitem:a588cf9896a6c1f62733bc7faf013941d inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a588cf9896a6c1f62733bc7faf013941d">Object</a> (<a class="el" href="class_object.html">Object</a> *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td></tr>
<tr class="memdesc:a588cf9896a6c1f62733bc7faf013941d inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructeur.  <a href="#a588cf9896a6c1f62733bc7faf013941d">More...</a><br/></td></tr>
<tr class="separator:a588cf9896a6c1f62733bc7faf013941d inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8f5483f459e46687bd01e6f9977afd3 inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#ae8f5483f459e46687bd01e6f9977afd3">~Object</a> ()</td></tr>
<tr class="memdesc:ae8f5483f459e46687bd01e6f9977afd3 inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Déstructeur.  <a href="#ae8f5483f459e46687bd01e6f9977afd3">More...</a><br/></td></tr>
<tr class="separator:ae8f5483f459e46687bd01e6f9977afd3 inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9d633c51c6c06486cb1eca238a01ea5 inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#ab9d633c51c6c06486cb1eca238a01ea5">ObjectName</a> (void)</td></tr>
<tr class="memdesc:ab9d633c51c6c06486cb1eca238a01ea5 inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Nom.  <a href="#ab9d633c51c6c06486cb1eca238a01ea5">More...</a><br/></td></tr>
<tr class="separator:ab9d633c51c6c06486cb1eca238a01ea5 inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a003c71b5073abbbd2addb4153c3f25fc inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a003c71b5073abbbd2addb4153c3f25fc">ObjectType</a> (void)</td></tr>
<tr class="memdesc:a003c71b5073abbbd2addb4153c3f25fc inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Type.  <a href="#a003c71b5073abbbd2addb4153c3f25fc">More...</a><br/></td></tr>
<tr class="separator:a003c71b5073abbbd2addb4153c3f25fc inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f0cf0be56c6a2ba1d8b266906dacdef inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a1f0cf0be56c6a2ba1d8b266906dacdef">Parent</a> (void)</td></tr>
<tr class="memdesc:a1f0cf0be56c6a2ba1d8b266906dacdef inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parent.  <a href="#a1f0cf0be56c6a2ba1d8b266906dacdef">More...</a><br/></td></tr>
<tr class="separator:a1f0cf0be56c6a2ba1d8b266906dacdef inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a89f6628d70f36989fdad3c095839d90f inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a89f6628d70f36989fdad3c095839d90f">RootParent</a> (void)</td></tr>
<tr class="memdesc:a89f6628d70f36989fdad3c095839d90f inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parent d'origine.  <a href="#a89f6628d70f36989fdad3c095839d90f">More...</a><br/></td></tr>
<tr class="separator:a89f6628d70f36989fdad3c095839d90f inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae69a726bbe66e071e1bc736a52f2c24 inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_framework_manager.html">FrameworkManager</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#aae69a726bbe66e071e1bc736a52f2c24">RootFrameworkManager</a> (void)</td></tr>
<tr class="memdesc:aae69a726bbe66e071e1bc736a52f2c24 inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="class_framework_manager.html" title="Classe de base du Framework. ">FrameworkManager</a> d'origine.  <a href="#aae69a726bbe66e071e1bc736a52f2c24">More...</a><br/></td></tr>
<tr class="separator:aae69a726bbe66e071e1bc736a52f2c24 inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:affaf94193943017da65e34ea2cc8aff8 inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="class_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#affaf94193943017da65e34ea2cc8aff8">TypeChilds</a> (void)</td></tr>
<tr class="memdesc:affaf94193943017da65e34ea2cc8aff8 inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enfants du même type.  <a href="#affaf94193943017da65e34ea2cc8aff8">More...</a><br/></td></tr>
<tr class="separator:affaf94193943017da65e34ea2cc8aff8 inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a498c46154eba1f2f1806dc8776e8b6e8 inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="class_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a498c46154eba1f2f1806dc8776e8b6e8">Childs</a> (void)</td></tr>
<tr class="memdesc:a498c46154eba1f2f1806dc8776e8b6e8 inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enfants.  <a href="#a498c46154eba1f2f1806dc8776e8b6e8">More...</a><br/></td></tr>
<tr class="separator:a498c46154eba1f2f1806dc8776e8b6e8 inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afebac3a16418e7e7394d4d395694c42a inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">Time&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#afebac3a16418e7e7394d4d395694c42a">GetTime</a> (void)</td></tr>
<tr class="memdesc:afebac3a16418e7e7394d4d395694c42a inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Temps.  <a href="#afebac3a16418e7e7394d4d395694c42a">More...</a><br/></td></tr>
<tr class="separator:afebac3a16418e7e7394d4d395694c42a inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2197a00312a960362dbce0d31819d9ae inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a2197a00312a960362dbce0d31819d9ae">Printf</a> (const char *format,...)</td></tr>
<tr class="memdesc:a2197a00312a960362dbce0d31819d9ae inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">printf  <a href="#a2197a00312a960362dbce0d31819d9ae">More...</a><br/></td></tr>
<tr class="separator:a2197a00312a960362dbce0d31819d9ae inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a119852e43f936ff51605c4e994aa3883 inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a119852e43f936ff51605c4e994aa3883">Warning</a> (const char *function, const char *format,...)</td></tr>
<tr class="memdesc:a119852e43f936ff51605c4e994aa3883 inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Warning.  <a href="#a119852e43f936ff51605c4e994aa3883">More...</a><br/></td></tr>
<tr class="separator:a119852e43f936ff51605c4e994aa3883 inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a28958c66842aafb754b3f851c6bbc867 inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a28958c66842aafb754b3f851c6bbc867">Error</a> (const char *function, const char *format,...)</td></tr>
<tr class="memdesc:a28958c66842aafb754b3f851c6bbc867 inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error.  <a href="#a28958c66842aafb754b3f851c6bbc867">More...</a><br/></td></tr>
<tr class="separator:a28958c66842aafb754b3f851c6bbc867 inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a9e4e23a9d13a07552bc37f8cc004aa inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a6a9e4e23a9d13a07552bc37f8cc004aa">ErrorOccured</a> (bool recursive=true)</td></tr>
<tr class="memdesc:a6a9e4e23a9d13a07552bc37f8cc004aa inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Vérifie si erreur.  <a href="#a6a9e4e23a9d13a07552bc37f8cc004aa">More...</a><br/></td></tr>
<tr class="separator:a6a9e4e23a9d13a07552bc37f8cc004aa inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_methods_class_i_o_device"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_class_i_o_device')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="class_i_o_device.html">IODevice</a></td></tr>
<tr class="memitem:a4c9df5ddb30faf34676efbdbd9fe5473 inherit pro_methods_class_i_o_device"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4c9df5ddb30faf34676efbdbd9fe5473"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetDataToLog</b> (<a class="el" href="classio__data.html">io_data</a> *data)</td></tr>
<tr class="separator:a4c9df5ddb30faf34676efbdbd9fe5473 inherit pro_methods_class_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9be704338e9db077770f891400917451 inherit pro_methods_class_i_o_device"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9be704338e9db077770f891400917451"></a>
Logger *&#160;</td><td class="memItemRight" valign="bottom"><b>GetOwnLogger</b> (void)</td></tr>
<tr class="separator:a9be704338e9db077770f891400917451 inherit pro_methods_class_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Classe définissant un conteneur de logs. </p>
</div></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_log_container.html">LogContainer</a></li>
    <li class="footer">Generated on Wed Feb 12 2014 10:05:02 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.4 </li>
  </ul>
</div>
</body>
</html>
